javax.lang.model.element

## Interface Parameterizable

- All Superinterfaces:
    Element
  All Known Subinterfaces:
    ExecutableElement, TypeElement

      public interface Parameterizable
      extends Element

  A mixin interface for an element that has type parameters.
  Since:
    1.7

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<? extends TypeParameterElement>` | `getTypeParameters()` Returns the formal type parameters of the type element in declaration order.

    - ### Methods inherited from interface javax.lang.model.element.Element

      `accept, asType, equals, getAnnotation, getAnnotationMirrors, getEnclosedElements, getEnclosingElement, getKind, getModifiers, getSimpleName, hashCode`

- - ### Method Detail

    - #### getTypeParameters

          List<? extends TypeParameterElement> getTypeParameters()

      Returns the formal type parameters of the type element in declaration order.
      Returns:
        the formal type parameters, or an empty list if there are none

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.